curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/orders/{orderId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"orderNumber": "<string>",
"orderLines": [
{
"name": "<string>",
"quantity": 123,
"sku": "<string>",
"unitPrice": 1,
"totalPrice": 1,
"currency": "<string>",
"weight": 1,
"weightUnit": "kg",
"variantId": "<string>",
"productId": "<string>",
"imageUrl": "<string>",
"hsCode": "<string>",
"countryOfOrigin": "<string>",
"provinceOfOrigin": "<string>",
"barcode": "<string>",
"requiresShipping": true,
"taxable": true,
"giftCard": true,
"vendor": "<string>"
}
],
"status": "pending",
"orderChannelId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"orderChannel": {
"id": "<string>",
"name": "<string>",
"type": "shopify"
},
"shipments": [
{
"id": "<string>",
"reference": "<string>",
"status": "draft",
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"createdAt": "<string>",
"updatedAt": "<string>",
"tracking": {
"url": "<string>",
"number": "<string>"
},
"shippingRuleId": "<string>",
"documents": [
{
"id": "<string>",
"shipmentId": "<string>",
"documentType": "label",
"format": "pdf",
"content": "<string>",
"size": "A4",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
],
"externalId": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"shippingAddress": {
"name": "<string>",
"address1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"attention": "<string>",
"company": "<string>",
"address2": "<string>",
"province": "<string>",
"provinceCode": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"totalAmount": 123,
"currency": "<string>",
"shippingRuleId": "<string>",
"notes": "<string>",
"externalData": {},
"shippingRule": {
"id": "<string>",
"name": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"senderAddressId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": true
}
}Get a specific order by ID with its shipments and documents
curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/orders/{orderId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"orderNumber": "<string>",
"orderLines": [
{
"name": "<string>",
"quantity": 123,
"sku": "<string>",
"unitPrice": 1,
"totalPrice": 1,
"currency": "<string>",
"weight": 1,
"weightUnit": "kg",
"variantId": "<string>",
"productId": "<string>",
"imageUrl": "<string>",
"hsCode": "<string>",
"countryOfOrigin": "<string>",
"provinceOfOrigin": "<string>",
"barcode": "<string>",
"requiresShipping": true,
"taxable": true,
"giftCard": true,
"vendor": "<string>"
}
],
"status": "pending",
"orderChannelId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"orderChannel": {
"id": "<string>",
"name": "<string>",
"type": "shopify"
},
"shipments": [
{
"id": "<string>",
"reference": "<string>",
"status": "draft",
"type": "outbound",
"carrierSettings": {
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": {}
},
"createdAt": "<string>",
"updatedAt": "<string>",
"tracking": {
"url": "<string>",
"number": "<string>"
},
"shippingRuleId": "<string>",
"documents": [
{
"id": "<string>",
"shipmentId": "<string>",
"documentType": "label",
"format": "pdf",
"content": "<string>",
"size": "A4",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
],
"externalId": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"shippingAddress": {
"name": "<string>",
"address1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"attention": "<string>",
"company": "<string>",
"address2": "<string>",
"province": "<string>",
"provinceCode": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"totalAmount": 123,
"currency": "<string>",
"shippingRuleId": "<string>",
"notes": "<string>",
"externalData": {},
"shippingRule": {
"id": "<string>",
"name": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"senderAddressId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": true
}
}JWT access token or API token (prefixed with zipp_)
Default Response
Show child attributes
pending, processing, partially_fulfilled, fulfilled, error, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes